bitel.billing.server.admin.bean

## Class AddressUtils

- java.lang.Object
- - bitel.billing.server.admin.bean.AddressUtils

-     public class AddressUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADDRESS_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getAddress(Preferences setup, AddressStruct addressStruct)` Deprecated. Использовать `getAddress(Preferences, AddressStruct, String)`
    `static java.lang.String` | `getAddress(Preferences setup, AddressStruct addressStruct, java.lang.String formatKey)`
    `static java.lang.String` | `getAddress(java.lang.String _address, AddressStruct addressStruct)`
    `static AddressStruct` | `getAddressStruct(java.sql.Connection con, EntityAttrAddress entityAttrAddress)`
    `static AddressStruct` | `getAddressStruct(java.sql.Connection con, int houseId, java.lang.String flat, java.lang.String room, java.lang.String pod, java.lang.String floor, java.lang.String comment)`
    `static java.lang.String` | `getHouse(java.lang.String value)`
    `static java.lang.String` | `getHouseFrac(java.lang.String value)`
    `static void` | `onUpdateAddressArea(Setup setup, int areaId)` Обновление адресов на изменение названия района
    `static void` | `onUpdateAddressArea(Setup setup, int areaId, java.util.concurrent.Callable<?> callable)` Обновление адресов на изменение названия района
    `static void` | `onUpdateAddressCity(Setup setup, int cityId)` Обновление адресов на изменение названия города
    `static void` | `onUpdateAddressCity(Setup setup, int cityId, java.util.concurrent.Callable<?> callable)` Обновление адресов на изменение названия города
    `static void` | `onUpdateAddressQuarter(Setup setup, int quarterId)` Обновление адресов на изменение названия квартала
    `protected static void` | `onUpdateAddressQuarter(Setup setup, int quarterId, java.util.concurrent.Callable<?> callable)` Обновление адресов на изменение названия квартала
    `static void` | `onUpdateAddressStreet(Setup setup, int streetId)` Обновление адресов на изменение названия улицы
    `static void` | `onUpdateAddressStreet(Setup setup, int streetId, java.util.concurrent.Callable<?> callable)` Обновление адресов на изменение названия улицы
    `static void` | `onUpdateHouse(Setup setup, int hid)` Обновление адресов на изменение дома
    `static void` | `onUpdateHouse(Setup setup, int hid, java.util.concurrent.Callable<?> callable)` Обновление адресов на изменение дома

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDRESS_FORMAT

          public static final java.lang.String ADDRESS_FORMAT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AddressUtils

          public AddressUtils()

  - ### Method Detail

    - #### onUpdateAddressCity

          public static void onUpdateAddressCity(Setup setup,
                                                 int cityId)

      Обновление адресов на изменение названия города
      Parameters:
        `setup` -
        `cityId` -

    - #### onUpdateAddressCity

          public static void onUpdateAddressCity(Setup setup,
                                                 int cityId,
                                                 java.util.concurrent.Callable<?> callable)

      Обновление адресов на изменение названия города
      Parameters:
        `setup` -
        `cityId` -
        `callable` -

    - #### onUpdateAddressStreet

          public static void onUpdateAddressStreet(Setup setup,
                                                   int streetId)

      Обновление адресов на изменение названия улицы
      Parameters:
        `setup` -
        `streetId` -

    - #### onUpdateAddressStreet

          public static void onUpdateAddressStreet(Setup setup,
                                                   int streetId,
                                                   java.util.concurrent.Callable<?> callable)

      Обновление адресов на изменение названия улицы
      Parameters:
        `setup` -
        `streetId` -
        `callable` -

    - #### onUpdateAddressArea

          public static void onUpdateAddressArea(Setup setup,
                                                 int areaId)

      Обновление адресов на изменение названия района
      Parameters:
        `setup` -
        `areaId` -

    - #### onUpdateAddressArea

          public static void onUpdateAddressArea(Setup setup,
                                                 int areaId,
                                                 java.util.concurrent.Callable<?> callable)

      Обновление адресов на изменение названия района
      Parameters:
        `setup` -
        `areaId` -
        `callable` -

    - #### onUpdateAddressQuarter

          public static void onUpdateAddressQuarter(Setup setup,
                                                    int quarterId)

      Обновление адресов на изменение названия квартала
      Parameters:
        `setup` -
        `quarterId` -

    - #### onUpdateAddressQuarter

          protected static void onUpdateAddressQuarter(Setup setup,
                                                       int quarterId,
                                                       java.util.concurrent.Callable<?> callable)

      Обновление адресов на изменение названия квартала
      Parameters:
        `setup` -
        `quarterId` -
        `callable` -

    - #### onUpdateHouse

          public static void onUpdateHouse(Setup setup,
                                           int hid)

      Обновление адресов на изменение дома
      Parameters:
        `setup` -
        `hid` -

    - #### onUpdateHouse

          public static void onUpdateHouse(Setup setup,
                                           int hid,
                                           java.util.concurrent.Callable<?> callable)

      Обновление адресов на изменение дома
      Parameters:
        `setup` -
        `hid` -
        `callable` -

    - #### getAddress

          @Deprecated
          public static final java.lang.String getAddress(Preferences setup,
                                                                      AddressStruct addressStruct)

      Deprecated. Использовать `getAddress(Preferences, AddressStruct, String)`
      Parameters:
        `setup` -
        `addressStruct` -
      Returns:

    - #### getAddress

          public static final java.lang.String getAddress(Preferences setup,
                                                          AddressStruct addressStruct,
                                                          java.lang.String formatKey)

    - #### getAddressStruct

          public static final AddressStruct getAddressStruct(java.sql.Connection con,
                                                             EntityAttrAddress entityAttrAddress)
                                                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getAddressStruct

          public static final AddressStruct getAddressStruct(java.sql.Connection con,
                                                             int houseId,
                                                             java.lang.String flat,
                                                             java.lang.String room,
                                                             java.lang.String pod,
                                                             java.lang.String floor,
                                                             java.lang.String comment)
                                                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getAddress

          public static final java.lang.String getAddress(java.lang.String _address,
                                                          AddressStruct addressStruct)

    - #### getHouseFrac

          public static java.lang.String getHouseFrac(java.lang.String value)

    - #### getHouse

          public static java.lang.String getHouse(java.lang.String value)